Support » Plugin: Revisionize » Is support for Gutenberg planned??

  • Resolved domvallsgmailcom

    (@domvallsgmailcom)


    Hi,

    I have waited long before switching to WP5 and Gutenberg just to make sure that the environment was clean and that I could avoid this kind of compatibility problems, but I didn’t check plugin by plugin.

    So, I have just discovered Revisionize doesn’t support Guttenberg and I’d appreciate if you could let me know if you have any plan to support Gutenberg?

    Regards,
    Domingo

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author jamiechong

    (@jamiechong)

    Sorry at this time I don’t have plans to support Gutenberg. I looked into it in the past, but I recall it being a lot more complicated than I had imagined.

    If you don’t need the Gutenberg editor, install the Classic Editor plugin and Revisionize will continue to work.

    Just wanted to note that I have solved all my issues I had with revisionize and gutenberg by changing line 242 from:
    wp_update_post($data);
    to
    wp_update_post(wp_slash($data));

    and line 255 from:
    $new_id = wp_insert_post($data);
    to
    $new_id = wp_insert_post(wp_slash($data));

    I hope that it helps!

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.